<?
# Автор движка: InstalScript
# vk.com/k.karamin  - Я Вк
# bymas.ru/id3741  - Я на бумасе
# Специально для обитателей bymas.ru
# Ток на бумасе можно найти моды для данного движка


require_once($_SERVER['DOCUMENT_ROOT']."/instalscript/game/inc/function.php");
head("Золото",$uid);


$obm = floor($user['silver']/100);# Золото
$osi = $obm*100; #Серебро



switch($is['1']){
default:
echo "
<div class='trnt-block'>
<div class='wrap1'><div class='wrap2'><div class='wrap3'><div class='wrap4'><div class='wrap5'><div class='wrap6'><div class='wrap7'><div class='wrap8'>
<div class='wrap-content'><div class='small bold cntr white sh_b mb5'>

У вас ".$user['silver']." <img src = '/instalscript/images/icons/silver.png'></div>";

if($is['1'] == 'go'){
if($is['2'] == 'ok'){
$_SESSION['payments'] = abs($_POST['obm']);
if(abs($_POST['obm']) < '100'){logi("Нехватает серебра");header("Location:/payments/");exit();}
header("Location:/payments/go/");
}

$obm = floor($_SESSION['payments']/100);# Золото
$osi = $obm*100; #Серебро

if($obm > '0'){




if($is['2'] == 'yes'){
mysql_query("UPDATE `users` SET `gold` = '".($user['gold'] + $obm)."',`silver` = '".($user['silver'] - $osi)."' WHERE `id` = '".$uid."' "); # or die(mysql_error());
logi("Обмен произведён успешно!");
$_SESSION['payments'] = null;
header("Location:/payments");
}



echo "Вы действительно хотите совершить обмен</br> ".abs($_SESSION['payments'])."<img src = '/instalscript/images/icons/silver.png'> на ".$obm."<img src = '/instalscript/images/icons/gold.png'>?";
echo "<a class='simple-but border mb2' href='/payments/go/yes/'><span><span>Да</span></span></a>";
echo "<a href = '/angar/'><span class='input-but green border'><span><input class='w100' type='submit' value='Нет'></span></span></a>";

}else{
logi("Нехватает серебра");
header("Location:/payments");
}


}else{
echo logs();logn();
echo "</br>";
if($user['silver'] < '100'){
echo "Совершить обмен невозможно!";
}else{
echo "<form method = 'post' action = '/payments/go/ok/'>";
echo "Обменять ".$osi."<img src = '/instalscript/images/icons/silver.png'> на ".$obm."<img src = '/instalscript/images/icons/gold.png'></br>";
echo "<input name = 'obm' type = 'text' value = '".$osi."'>";
echo "<span class = 'input-but border'><span><input class = 'w100' type = 'submit'  value = 'Обменять'></span></span>";
echo "</form>";

}

}
echo "<div class = 'bot'><a class = 'simple-but gray mb5' href = '/angar/'><span><span>Вернуться в ангар</span></span></a></div>";

echo "

</div></div>
</div></div></div></div></div></div></div>
</div>";
break;
}

foot($uid);
?>